address_map:
  - region:
      name: MEMORYREGION
      address: 0x00100000
      mask: 0x001FFFFF
      type: memory
      capacity: 0x00100000
      overlapping: True
      description: 'memory with overlapping regions'
  - region:
      name: OVERLAP1
      address: 0x000100000
      mask: 0x00103000
      capacity: 0x00001000
  - region:
      name: OVERLAP2
      address: 0x00101000
      mask: 0x00103000
      capacity: 0x00001000
  - region:
      name: OVERLAP3
      address: 0x00102000
      mask: 0x00103000
      capacity: 0x00001000

config:
  name: overlapping_address_map
  prefix: OVERLAPPING_
  version: 1
  address_width: 32

